[Rainmeter]

MouseScrollUpAction=[!CommandMeasure "MeasureWin7Audio" "ChangeVolume 10"][!Update]
MouseScrollDownAction=[!CommandMeasure "MeasureWin7Audio" "ChangeVolume -10"][!Update]

;================ Volume 

[MeasureVolPercent0]
Measure=Calc
Formula=MeasureWin7Audio
IfAboveValue=0
IfAboveAction=[!SetOption Volume0 Solidcolor2 "#Color1#"][!Redraw]
IfEqualValue=0
IfEqualAction=[!SetOption Volume0 Solidcolor2 "#Color5#"][!Redraw]

[MeasureVolPercent20]
Measure=Calc
Formula=MeasureWin7Audio
IfAboveValue=20
IfAboveAction=[!SetOption Volume20 Solidcolor2 "#Color1#"][!Redraw]
IfEqualValue=20
IfEqualAction=[!SetOption Volume20 Solidcolor2 "#Color5#"][!Redraw]
IfBelowValue=20
IfBelowAction=[!SetOption Volume20 Solidcolor2 "#Color1#"][!Redraw]

[MeasureVolPercent40]
Measure=Calc
Formula=MeasureWin7Audio
IfAboveValue=40
IfAboveAction=[!SetOption Volume40 Solidcolor2 "#Color1#"][!Redraw]
IfEqualValue=40
IfEqualAction=[!SetOption Volume40 Solidcolor2 "#Color5#"][!Redraw]
IfBelowValue=40
IfBelowAction=[!SetOption Volume40 Solidcolor2 "#Color1#"][!Redraw]


[MeasureVolPercent60]
Measure=Calc
Formula=MeasureWin7Audio
IfAboveValue=60
IfAboveAction=[!SetOption Volume60 Solidcolor2 "#Color1#"][!Redraw]
IfEqualValue=60
IfEqualAction=[!SetOption Volume60 Solidcolor2 "#Color5#"][!Redraw]
IfBelowValue=60
IfBelowAction=[!SetOption Volume60 Solidcolor2 "#Color1#"][!Redraw]

[MeasureVolPercent80]
Measure=Calc
Formula=MeasureWin7Audio
IfAboveValue=80
IfAboveAction=[!SetOption Volume80 Solidcolor2 "#Color1#"][!Redraw]
IfEqualValue=80
IfEqualAction=[!SetOption Volume80 Solidcolor2 "#Color5#"][!Redraw]
IfBelowValue=80
IfBelowAction=[!SetOption Volume80 Solidcolor2 "#Color1#"][!Redraw]

[MeasureVolPercent100]
Measure=Calc
Formula=MeasureWin7Audio
IfAboveValue=100
IfAboveAction=[!SetOption Volume100 Solidcolor2 "#Color1#"][!Redraw]
IfEqualValue=100
IfEqualAction=[!SetOption Volume100 Solidcolor2 "#Color5#"][!Redraw]
IfBelowValue=100
IfBelowAction=[!SetOption Volume100 Solidcolor2 "#Color1#"][!Redraw]

[Volume0]
Meter=bar
MeasureName=MeasureVolPercent0
Meterstyle=StylebarMusic
x=100
LeftMouseUpAction=!Execute [!PluginBang "MeasureWin7Audio SetVolume 0"]


[Volume20]
Meter=bar
MeasureName=MeasureVolPercent20
Meterstyle=StylebarMusic
x=10r
LeftMouseUpAction=!Execute [!PluginBang "MeasureWin7Audio SetVolume 20"]


[Volume40]
Meter=bar
MeasureName=MeasureVolPercent40
Meterstyle=StylebarMusic
x=10r
LeftMouseUpAction=!Execute [!PluginBang "MeasureWin7Audio SetVolume 40"]


[Volume60]
Meter=bar
MeasureName=MeasureVolPercent60
Meterstyle=StylebarMusic
x=10r
LeftMouseUpAction=!Execute [!PluginBang "MeasureWin7Audio SetVolume 60"]


[Volume80]
Meter=bar
MeasureName=MeasureVolPercent80
Meterstyle=StylebarMusic
x=10r
LeftMouseUpAction=!Execute [!PluginBang "MeasureWin7Audio SetVolume 80"]


[Volume100]
Meter=bar
MeasureName=MeasureVolPercent100
Meterstyle=StylebarMusic
x=10r
LeftMouseUpAction=!Execute [!PluginBang "MeasureWin7Audio SetVolume 100"]